datablock ShapeBaseImageData(RobinHL1)
{
   shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = 4;
   rotation = "1 0 0 -90";

	lighttype="constantlight";
	lightcolor="1 1 1";
	lightradius=20;

	stateName[0] = "Ready";

};

datablock ShapeBaseImageData(RobinHL2 : RobinHL1)
{
	mountPoint = 5;
	lightradius=65;
};

//3WD Lights

package Robin3WLights
{
	function serverCmdLight(%client)
	{
		if(isObject(%pl = %client.player) && !isObject(%pl.light) && isObject(%veh = %pl.getObjectMount()))
		{
			if(%veh.getDataBlock().getName() $= "Robin3WVehicle" && %pl.getMountNode() == 0)
			{
				servercmdRobin3WLight(%client);
				return;
			}
		}
		parent::serverCmdLight(%client);
	}
	
	function servercmdRobin3WLight(%client)
	{
		//Before we do anything, make sure the client isn't trying to change the light too rapidly.
		if(getSimTime() < %client.lastCVHLTime + 500)
		{
			return;	//Fewer than 500 milliseconds have passed since client sent a command. Ignore this one.
		}
		//If the above check did not activate, we're good to continue.
		%client.lastCVHLTime = getSimTime();	//Right now is when they sent the last command.	
		
		if(!isObject(%pl = %client.player) || !isObject(%veh = %pl.getObjectMount())) return;
		if(%veh.getDataBlock().getName() !$= "Robin3WVehicle" || %pl.getMountNode() != 0) return;
		
		if(!%veh.headlight)
		{
			%veh.headlight = 1;
			%veh.mountImage(RobinHL1, 0);
			%veh.mountImage(RobinHL2, 1);
			%veh.unhidenode(lightsON);
			%veh.unhidenode(lightFLARE);
			%veh.hidenode(lightsOFF);
			%veh.hidenode(brakelightsOFF);
			%veh.unhidenode(brakelightsOFFLIGHT);
		}
		else
		{
			%veh.headlight = 0;
			%veh.unMountImage(0);
			%veh.unMountImage(1);
			%veh.hidenode(lightsON);
			%veh.hidenode(lightFLARE);
			%veh.unhidenode(lightsOFF);
			%veh.unhidenode(brakelightsOFF);
			%veh.hidenode(brakelightsOFFLIGHT);
		}
	}
	
	
	function armor::onUnMount(%this, %obj, %col, %slot)
	{
		Parent::onUnMount(%this, %obj, %col, %slot);

		if (!isObject(%col) || %obj.getMountNode() != 0 || %col.getDatablock().getName() !$= "Robin3WVehicle")
			return;

		%col.headlight = 0;
		%col.unMountImage(0);
		%col.unMountImage(1);
		%col.hidenode(lightsON);
	  %col.hidenode(lightFLARE);
		%col.unhidenode(lightsOFF);
		%col.unhidenode(brakelightsOFF);
		%col.hidenode(brakelightsOFFLIGHT);
	}
};
activatePackage(Robin3WLights);

//4WD Lights

package Robin4WLights
{
	function serverCmdLight(%client)
	{
		if(isObject(%pl = %client.player) && !isObject(%pl.light) && isObject(%veh = %pl.getObjectMount()))
		{
			if(%veh.getDataBlock().getName() $= "Robin4WVehicle" && %pl.getMountNode() == 0)
			{
				servercmdRobin4WLight(%client);
				return;
			}
		}
		parent::serverCmdLight(%client);
	}
	
	function servercmdRobin4WLight(%client)
	{
		//Before we do anything, make sure the client isn't trying to change the light too rapidly.
		if(getSimTime() < %client.lastCVHLTime + 500)
		{
			return;	//Fewer than 500 milliseconds have passed since client sent a command. Ignore this one.
		}
		//If the above check did not activate, we're good to continue.
		%client.lastCVHLTime = getSimTime();	//Right now is when they sent the last command.	
		
		if(!isObject(%pl = %client.player) || !isObject(%veh = %pl.getObjectMount())) return;
		if(%veh.getDataBlock().getName() !$= "Robin4WVehicle" || %pl.getMountNode() != 0) return;
		
		if(!%veh.headlight)
		{
			%veh.headlight = 1;
			%veh.mountImage(RobinHL1, 0);
			%veh.mountImage(RobinHL2, 1);
			%veh.unhidenode(lightsON);
			%veh.unhidenode(lightFLARE);
			%veh.hidenode(lightsOFF);
			%veh.hidenode(brakelightsOFF);
			%veh.unhidenode(brakelightsOFFLIGHT);
		}
		else
		{
			%veh.headlight = 0;
			%veh.unMountImage(0);
			%veh.unMountImage(1);
			%veh.hidenode(lightsON);
			%veh.hidenode(lightFLARE);
			%veh.unhidenode(lightsOFF);
			%veh.unhidenode(brakelightsOFF);
			%veh.hidenode(brakelightsOFFLIGHT);
		}
	}
	
	
	function armor::onUnMount(%this, %obj, %col, %slot)
	{
		Parent::onUnMount(%this, %obj, %col, %slot);

		if (!isObject(%col) || %obj.getMountNode() != 0 || %col.getDatablock().getName() !$= "Robin4WVehicle")
			return;

		%col.headlight = 0;
		%col.unMountImage(0);
		%col.unMountImage(1);
		%col.hidenode(lightsON);
	  %col.hidenode(lightFLARE);
		%col.unhidenode(lightsOFF);
		%col.unhidenode(brakelightsOFF);
		%col.hidenode(brakelightsOFFLIGHT);
	}
};
activatePackage(Robin4WLights);