datablock WheeledVehicleTire(RobinFRONTTire)
{
   // Tires act as springs and generate lateral and longitudinal
   // forces to move the vehicle. These distortion/spring forces
   // are what convert wheel angular velocity into forces that
   // act on the rigid body.
   shapeFile = "./RobinFrontWheel.dts";
	
	mass = 15;
    radius = 1.25;
    staticFriction = 4;
   kineticFriction = 4;
   restitution = 0.5;	

   // Spring that generates lateral tire forces
   lateralForce = 6000;
   lateralDamping = 500;
   lateralRelaxation = 0.3;

   // Spring that generates longitudinal tire forces
   longitudinalForce = 5000;
   longitudinalDamping = 2000;
   longitudinalRelaxation = 0.01;
};


datablock WheeledVehicleTire(RobinREARTire : RobinFRONTTire)
{
   shapeFile = "./RobinRearWheel.dts";
};

datablock WheeledVehicleTire(Robin4WTire)
{
   // Tires act as springs and generate lateral and longitudinal
   // forces to move the vehicle. These distortion/spring forces
   // are what convert wheel angular velocity into forces that
   // act on the rigid body.
   shapeFile = "./RobinRearWheel.dts";
	
	mass = 16;
    radius = RobinFRONTTire.radius;
    staticFriction = 5;
   kineticFriction = 5;
   restitution = 0.5;	

   // Spring that generates lateral tire forces
   lateralForce = 6000;
   lateralDamping = 500;
   lateralRelaxation = 0.3;

   // Spring that generates longitudinal tire forces
   longitudinalForce = 5000;
   longitudinalDamping = 2000;
   longitudinalRelaxation = 0.01;
};